# Fiat to cryptocurrency

## Convert amount of local currency to amount of cryptocurrency

<mark style="color:blue;">`GET`</mark> `/api/web-app-public/v1/fiat-to-crypto`

Given a local currency amount and get list of converted amount of currencies.&#x20;

#### Query Parameters

| Name                                            | Type   | Description                 |
| ----------------------------------------------- | ------ | --------------------------- |
| localCurrency<mark style="color:red;">\*</mark> | string | Local currencies (e.g. USD) |
| amount<mark style="color:red;">\*</mark>        | number | Amount of local currency    |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "statusCode": 200,
    "time": "2022-03-25T08:30:18.898Z",
    "data": [
        {
            "amount": "99.83213408110765933476",
            "currency": "ZUSD"
        },
        {
            "amount": "0.0320582476405797326",
            "currency": "ETH"
        },
        {
            "amount": "100.03200298550301245994",
            "currency": "DAI"
        },
        {
            "amount": "0.24301542140633748644",
            "currency": "BNB"
        },
        {
            "amount": "4.80081695306537292273",
            "currency": "DOT"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

#### Example request

```

curl --request GET 'https://pay-api.fizen.io/api/web-app-public/v1/fiat-to-crypto?localCurrency=VND&amount=2285000'

```

#### Example response

```
{
    "statusCode": 200,
    "time": "2022-03-30T09:42:33.218Z",
    "data": [
        {
            "amount": "100.01265294317923090184",
            "currency": "ZUSD",
            "rate": {
                "zusd-usd": 0.9998661369252846,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "0.02947918646313458955",
            "currency": "ETH",
            "rate": {
                "eth-usd": 3392.1989355778396,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "100.03576833430465586231",
            "currency": "DAI",
            "rate": {
                "dai-usd": 0.9996350965962809,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "83.72868243800639074246",
            "currency": "ADA",
            "rate": {
                "ada-usd": 1.1943250751137322,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "0.94300372741050238309",
            "currency": "LUNA",
            "rate": {
                "luna-usd": 106.043340058204,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "3656108.67217743673451114906",
            "currency": "SHIB",
            "rate": {
                "shib-usd": 0.000027351283538951845,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "698.87851728068146583566",
            "currency": "DOGE",
            "rate": {
                "doge-usd": 0.14308533238514815,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "115.96834015121021730291",
            "currency": "XRP",
            "rate": {
                "xrp-usd": 0.8622979755643441,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "0.22900566720994254838",
            "currency": "BNB",
            "rate": {
                "bnb-usd": 436.6672063633726,
                "vnd-usd": 22850.167962
            }
        },
        {
            "amount": "4.48951866655644138637",
            "currency": "DOT",
            "rate": {
                "dot-usd": 22.273939005280365,
                "vnd-usd": 22850.167962
            }
        }
    ]
}
```
